### Gitlab CI variables

variable "SCW_PROJECT_ID" {
  type        = string
  sensitive   = true
  description = "Project ID from a scaleway project"
}

variable "SCW_ACCESS_KEY" {
  type      = string
  sensitive = true
  description = "Scaleway access key"
}

variable "SCW_SECRET_KEY" {
  type      = string
  sensitive = true
  description = "Scaleway secret key"
}

variable "PROJECT_DOMAIN" {
  type = string
  sensitive = true
  description = "External domain from Scaleway"
}

variable "LETSENCRYPT_EMAIL" {
  type        = string
  sensitive   = true
  description = "Lets encrypt mail for renewal"
}

variable "USER_PASSWORD" {
  type        = string
  sensitive   = true
  description = "User password for accessing services"
}

variable "INSTANCES_COUNT" {
  type        = number
  description = "Number of instances to create"
}

variable "ENVIRONMENT" {
  type        = string
  description = "Environment of the deployment, contained in domains, subdomains and resources name convention"
}
